/*
Theme Name: Techmax Child
Theme URI: https://themeforest.net/item/techmax-it-solutions-technology-wordpress-theme/36459666
Template: techmax
Author: Pixelcurve
Author URI: http://thepixelcurve.com/
Description: Business and technology services WordPress theme
Tags: blog,e-commerce,portfolio,custom-background,custom-header,full-width-template,footer-widgets,translation-ready,theme-options,two-columns
Version: 1.4.0.1782895339
Updated: 2026-07-01 10:42:19

*/

/*
---------------------------------------------------------
Pablo González
---------------------------------------------------------
*/

:root {
    --techmax-primary-color: #005e5c !important;
} 

/* Se fuerza un tamaño para conseguir coherencia visual. */
/* Se recomienda que se carguen imágenes con un peso inferior a 100 kB. */
body .swiper-zoom-container {
	max-width: 1000px;
	max-height: 1000px;
	object-fit: cover;
	/*object-position: center;*/
    }

/* Se eliminan las formas que aparecen sobre el texto en las noticias. */
.header__shape_1,
.post_featured_bg .blog-post_title:before,
.page-header_title:before  {
    display: none;
	visibility: hidden;
}

/* Corrección de posición para el meta-wrapper de las noticias. */
.post_featured_bg .content-container .meta-data {
    width: 100%;
    justify-content: center;
}

/* Corrección interlineado para una lectura más amigable. */
p, 
.service-item-wrap .single-item .features-content p, 
.techmax-service .service-content p {
	line-height: 1.6rem;
    font-size: 1.1rem !important;
}

.page-header_title {
    font-size: 40px !important;
}

.page-header_breadcrumbs .breadcrumbs {
    font-weight: 500 !important;
}

.page-header_breadcrumbs a {
    color: #b2e4eB !important;
}

.page-header_breadcrumbs a:hover {
    color: #ffffff !important;
}

body h3, 
body h3 span, 
body h3 a {
	line-height: 1em !important;
    font-size: 28px;
    font-weight: 700;
}

body h2, 
body h2 span, 
body h2 a {
	line-height: 1.2em !important;
    font-size: 32px;
    font-weight: 700;
}

body h1, 
body h1 span, 
body h1 a {
	line-height: 1.4em !important;
    font-size: 36px;
    font-weight: 700;
}

.blog-post_wrapper .post_categories {
    top: 20px;
    left: 20px;
}

.item .post_categories>span>a {
    background-image: none !important;
    background-color: #333333 !important;
    color: #ffffff !important;
}

.item .post_categories>span>a:hover {
    background-color: var(--techmax-primary-color) !important;
}

/* Corrección margen inferior de elementos p en acordeones. */
.e-n-accordion-item .elementor-widget-text-editor p:last-child {
    margin-bottom: 4px;
}

/* Corrección enlaces tipo etiquetas en HOME. */
.skill-img-item a.skill-btn {
    background: #333333 !important;
}

.skill-img-item a.skill-btn:hover {
    background: var(--techmax-primary-color) !important;
}

.features-content h3 {
    line-height: 1.8rem !important;
}

.elementor-widget-image img {
    height: auto !important;
}

/*
---------------------------------------------------------
Exequiel Gualtieri: 03/07/2026
---------------------------------------------------------
*/

/* Se fuerza nuevo renderizado para evitar imagen reventada en el logo */
img {
    image-rendering: auto !important;
}
/* Se fuerza la visualización de los logs empresariales de renderizado en dispositivos apple */
.swiper-slide-inner {
    min-height: 160px; 
    display: flex;
    align-items: center;
    justify-content: center;
}

.menu {
    display: flex;
}

/* Estilos del contenedor unificado */
.menu > li.contenedor-idiomas-inline {
    display: inline-flex !important;
    align-items: center !important;
    white-space: nowrap !important;
}

.menu > li.contenedor-idiomas-inline .enlace-idioma {
    display: inline !important;
    padding: 0 6px !important;
    text-decoration: none;
    height: initial;
}

/* Ocultar visualmente el texto exclusivo para lectores de pantalla */
.screen-reader-text {
    border: 0;
    clip: rect(1px, 1px, 1px, 1px);
    clip-path: inset(50%);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
    word-wrap: normal !important;
}

/* Diseño de la barra separadora */
.menu > li.contenedor-idiomas-inline .separador-barra {
    color: #777777;
    font-size: 14px;
    user-select: none;
}

/* Destacar sutilmente el idioma activo (opcional) */
.menu > li.contenedor-idiomas-inline .enlace-idioma.idioma-activo {
    font-weight: bold;
    opacity: 0.7;
    height: auto;
}

/* Arreglo del título del encabezado de la página para más de 1200px */
.page-header_content .page-header_title {
    color: #FFF; 
}

/* Para que no se solape con el botón del reCAPTCHA */
#scroll_up {
	bottom: 90px !important;
}

.grecaptcha-badge {
	z-index: 20;
}

/* ajuste tamaño de logo en escritorio */
.tpc-theme-header .default_logo {
	max-width: 220px !important;
	@media screen and (max-width: 1350px) { max-width: 180px !important; }
	@media screen and (max-width: 1310px) { max-width: 180px !important; }
}
.tpc-theme-header .primary-nav > ul {
	@media screen and (max-width: 1310px) { font-size: 14px !important; }
}

/* ajuste tamaño de lgoo en tablet y mobile */
.tpc-theme-header .logo-mobile {
	max-width: 220px;
	margin-top: 5px;
}

/* para evitar textos del menú en 2 lineas */
.tpc-theme-header .primary-nav .item_text {
	white-space: nowrap;
}
